local WYM = _G.WymBuffs
local LBF = LibStub("LibButtonFacade", true)
local initialized = false

function WYM:AddButtonToButtonFacadeGroup(frame, button)
    if LBF then
        if not initialized then
            self:InitButtonFacadeSupport()
        end
        
        local buttonDataLayers = { "AutoCast", "AutoCastable", "Backdrop", "Border", "Checked", "Cooldown", "Count", "Disabled", "Flash", "Highlight", "HotKey", "Name", "Pushed" }
        button.buttonData = { Icon = button.icon }
        for i, layer in ipairs(buttonDataLayers) do
                button.buttonData[layer] = false
        end
        
        local group = LBF:Group("WymBuffs",frame.settings.name)
        group:AddButton(button, button.buttonData)

        if not frame.buttonFacadeInitialized then
            local facade = frame.settings.facade
            if facade then
                group:Skin(facade.skinID,facade.gloss,facade.backdrop)
                frame.buttonFacadeInitialized = true
            end
        end
    end
end

function WYM:RemoveButtonFromButtonFacadeGroup(frame, button)
    if LBF then
        local group = LBF:Group("WymBuffs",frame.settings.name)
        group:RemoveButton(button)
    end
end

function WYM:InitButtonFacadeSupport()
    if LBF and not initialized then
        local function OnSkinChanged(id, skinID, gloss, backdrop, group, button, colors)
            local frame = self:GetBuffFrame(id)
            if frame then
                if not frame.settings.facade then
                    frame.settings.facade = {}
                end
                if frame.settings.name == group then
                    local facade = frame.settings.facade
                    facade.skinID = skinID
                    facade.gloss = gloss
                    facade.backdrop = backdrop
                    facade.colors = colors
                end
            end
        end
    
        for id,frame in pairs(self:GetBuffFrames()) do
            LBF:RegisterSkinCallback("WymBuffs", OnSkinChanged, frame.settings.id)
        end
        initialized = true
    end
end
