local WYM = _G.WymBuffs
local L = WYM.L

local debuffCategories = {
    showPhysicalDamageTaken = {        
        30070, -- * Blood Frenzy (Warrior)
        81326, -- * Brittle Bones (Death Knight)        
        58683, -- * Savage Combat (Rogue)
        50518, -- Ravage (Hunter (Ravager))
        55749, -- Acid Spit (Hunter (Worm))
    },    
    showSpellDamageTaken = {
        1490,  -- * Curse of the Elements (Warlock)
        85547, -- Curse of the Elements (Warlock (Jinx Talent))
        60433, -- * Earth and Moon (Druid) 
        65142, -- * Ebon Plague (Death Knight)
        93068, -- * Master Poisoner (Rogue)
        34889, -- Fire Breath (Hunter (Dragonhawk))
        24844, -- Lightning Breath (Hunter (Wind Serpent))
    },
    showBleedDamageTaken = {
        16511, -- Hemorrhage (Rogue)
        33876, -- * Mangle (Cat) (Druid)
        33878, -- * Mangle (Bear) (Druid)
        46857, -- * Trauma (Warrior)
        57386, -- * Stampede (Hunter (Rhino))
        50271, -- * Tendon Rip (Hunter (Hyena))
        35290, -- Gore (Hunter (Boar))        
    },
    showReducedAttackSpeed = {        
        8042,  -- * Earth Shock (Shaman)
        55095, -- * Frost Fever (Death Knight)
        58180, -- * Infected Wounds (Druid)
        68055, -- * Judgements of the Just (Paladin)
        14251, -- Riposte (Rogue)
        6343,  -- * Thunder Clap (Warrior)
        54404, -- Dust Cloud (Hunter (Tallstrider))
        90315, -- Tailspin (Hunter (Fox))
    },
    showReducedCastingSpeed = {
        1714,  -- Curse of Tongues (Warlock)
        5760,  -- Mind Numbing Poison (Rogue)
        73975, -- Necrotic Strike (Death Knight)
        31589, -- * Slow (Mage)
        50274, -- Spore Cloud (Hunter (Sporebat))
        58604, -- Lava Breath (Hunter (Corehound))
    },
    showReducedArmor = {
        58567,  --* Sunder Armor (Warrior)
        8647,  -- * Expose Armor (Rogue)
        91565, -- * Feral Faerie Fire (Druid)
        50498, -- Tear Armor (Hunter: Raptor)
        35387, -- Corrosive Spit (Hunter: Serpent)
    },
    showHealingDebuff = {
        56112, -- Furious Attacks (Warrior)
        12294, -- * Mortal Strike (Warrior)             
        48301, -- * Mind Trauma (Priest)                     
        13218, -- * Wound Poison (Rogue)
        68391, -- Permafrost (Mage)
        82654, -- Widow Venom (Hunter)        
        30213, -- * Legion Strike (Warlock (Felguard))
        54680, -- * Monstrous Bite (Hunter (Devilsaur))
    },
    showPhysicalDamageReduction = {
        1160,  -- * Demoralizing Shout (Warrior)
        99,    -- * Demoralizing Roar (Druid)
        702,   -- Curse of Weakness (Warlock)
        81130, -- Scarlet Fever (Death Knight)
        26017, -- * Vindication (Paladin)
        50256, -- Demoralizing Roar (Hunter (Bear))
    },
}

function WYM:IsEnabledDebuffCategory(frame, buff)
    for category, spellIds in pairs(debuffCategories) do
        if frame.settings[category] then
            for _,spellId in pairs(spellIds) do
                if buff.spellId == spellId then
                    return true
                end 
            end
        end
    end
end

